
Where is the doc?
=================

The Ocamlnet reference manual and several programming examples are now
shipped by the libocamlnet-ocaml-doc packages. If the package is
installed you can access them from:
- /usr/share/doc/libocamlnet-ocaml-dev/html	  (reference manual)
- /usr/share/doc/libocamlnet-ocaml-dev/examples	  (programming examples)

 -- Eric Cooper <ecc@cmu.edu>, Mon, 28 Mar 2011 22:56:35 -0400

Ocamlnet packages organization
==============================

Ocamlnet 2.2 in Debian has been split in several packages in order to
diminish package size and dependencies. The split follows upstream's
distribution guidelines:
- libocamlnet-ocaml{,-dev}	(core libraries)
- libocamlnet-gtk2-ocaml-dev	(GTK2-related libraries)
- libocamlnet-ssl-ocaml{,-dev}	(SSL-relater libraries)
- libnethttpd-ocaml-dev		(nethttpd library)

Two additional packages have been split in Debian:
- libocamlnet-ocaml-bin		(binaries: ocamlrpcgen, netplex-admin)
- libocamlnet-ocaml-doc		(reference manual and examples)

Ocamlnet libraries related to GTK1 and Tcl are currently not shipped in
the Debian packages of Ocamlnet. In case you desperately need them
please let me know. 

An overview of all the libraries available in Ocamlnet is given in
/usr/share/doc/libocamlnet-ocaml-dev/INSTALL.gz, the following table
describes in which Debian package a given Ocamlnet library can be found:

        Library               Debian package name
        --------------------------------------------------
        equeue                libocamlnet-ocaml{,-dev}
        equeue-gtk1           n/a
        equeue-gtk2           libocamlnet-gtk-ocaml-dev
        equeue-ssl            libocamlnet-ssl-ocaml{,-dev}
        equeue-tcl            n/a
        netcgi2               libocamlnet-ocaml{,-dev}
        netcgi2-plex          libocamlnet-ocaml{,-dev}
        netclient             libocamlnet-ocaml{,-dev}
        nethttpd              libnethttpd-ocaml-dev
        nethttpd-for-netcgi2  libnethttpd-ocaml-dev
        netmech-scram         libocamlnet-ocaml{,-dev}
        netplex               libocamlnet-ocaml{,-dev}
        netshm                libocamlnet-ocaml{,-dev}
        netstring             libocamlnet-ocaml{,-dev}
        netstring-pcre        libocamlnet-ocaml{,-dev}
        netsys                libocamlnet-ocaml{,-dev}
        netzip                libocamlnet-ocaml{,-dev}
        pop                   libocamlnet-ocaml{,-dev}
        rpc                   libocamlnet-ocaml{,-dev}
        rpc-auth-dh           libocamlnet-ocaml{,-dev}
        rpc-auth-local        libocamlnet-ocaml{,-dev}
        rpc-generator         libocamlnet-ocaml{,-dev}
        rpc-ssl               libocamlnet-ssl-ocaml{,-dev}
        rpc-xti               n/a
        shell                 libocamlnet-ocaml{,-dev}
        smtp                  libocamlnet-ocaml{,-dev}
        --------------------------------------------------

 -- Stéphane Glondu <glondu@debian.org>, Wed,  8 May 2013 12:04:38 +0200

Debian GNU/kFreeBSD and GNU/Hurd ports
======================================

The library rpc-auth-local is not available on the Debian GNU/kFreeBSD
and GNU/Hurd ports.

 -- Stephane Glondu <steph@glondu.net>  Mon, 08 Sep 2008 22:31:29 +0200
